libpoe-filter-http-parser-perl_1.06-1_all.deb


Advertisement

Description

libpoe-filter-http-parser-perl - POE filter for HTTP clients or servers

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libpoe-filter-http-parser-perl
Package version 1.06
Package release 1
Package architecture all
Package type deb
Installed size 84 B
Download size 10.31 KB
Official Mirror ftp.br.debian.org
POE::Filter::HTTP::Parser is a filter for the Perl Object Environment (POE)
system based on HTTP::Parser. It can be used to easily create POE-based HTTP
servers or clients.
With the type set to client, which is the default behaviour, 'get' will parse
HTTP::Response objects from HTTP streams and 'put' will accept HTTP::Request
objects and convert them to HTTP streams.
For servers, the reverse will happen; 'get' will parse HTTP::Request objects
from HTTP streams and 'put' will accept HTTP::Response objects and convert
them to HTTP streams. If there is an error parsing the request, this filter
will generate a HTTP::Response object instead, encapsulating an error message
suitable for simply sending back to the requesting client.

Alternatives

Package Version Architecture Repository
libpoe-filter-http-parser-perl_1.06-1_all.deb 1.06 all Debian Main
libpoe-filter-http-parser-perl - - -

Requires

Name Value
libhttp-parser-perl >= 0.06
libpoe-perl -
libwww-perl -
perl -

Download

Type URL
Binary Package libpoe-filter-http-parser-perl_1.06-1_all.deb
Source Package libpoe-filter-http-parser-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpoe-filter-http-parser-perl deb package:
    # sudo apt-get install libpoe-filter-http-parser-perl

Files

Path
/usr/share/doc/libpoe-filter-http-parser-perl/changelog.Debian.gz
/usr/share/doc/libpoe-filter-http-parser-perl/changelog.gz
/usr/share/doc/libpoe-filter-http-parser-perl/copyright
/usr/share/doc/libpoe-filter-http-parser-perl/examples/simpleclient.pl
/usr/share/man/man3/POE::Filter::HTTP::Parser.3pm.gz
/usr/share/perl5/POE/Filter/HTTP/Parser.pm

Changelog

2011-06-30 - Fabrizio Regalli <fabreg@fabreg.it>
libpoe-filter-http-parser-perl (1.06-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
[ Ansgar Burchardt ]
* Update my email address.
[ Fabrizio Regalli ]
* Bump to 3.9.2 Standard-Version.
* Add myself to Uploaders and Copyright.
* Switch d/compat to 8.
* Build-Depends: switch to debhelper (>= 8).
* Updated Files, years and Format-Specification url in copyright.
* Fixed dependencies version and removed unnecessary.
2010-07-31 - Ansgar Burchardt <ansgar@43-1.org>
libpoe-filter-http-parser-perl (1.04-1) unstable; urgency=low
* New upstream release.
* Use source format 3.0 (quilt).
* debian/copyright: Update years of copyright for inc/*, refer to
/usr/share/common-licenses/GPL-1.
* Bump Standards-Version to 3.9.1.
* Add myself to Uploaders.
2009-12-04 - Jonathan Yu <jawnsy@cpan.org>
libpoe-filter-http-parser-perl (1.02-1) unstable; urgency=low
* Initial Release (Closes: #552284)

See Also

Package Description
libpoe-filter-ircd-perl_2.44-1_all.deb parser for the IRC protocol
libpoe-filter-stomp-perl_0.04-1_all.deb Perl extension for the POE Environment to provide a Stomp filter
libpoe-filter-xml-perl_1.140700-1_all.deb POE Filter for parsing XML
libpoe-loop-event-perl_1.305-1_all.deb POE event loop implementation using Event
libpoe-loop-tk-perl_1.305-1_all.deb POE event loop implementation using Tk
libpoe-perl_1.3650-1_all.deb event-driven component architecture for Perl
libpoe-test-loops-perl_1.359-1_all.deb test framework for POE event loops
libpoet-perl_0.15-1_all.deb modern Perl web framework for Mason developers
libpoker-eval-dev_138.0-1_amd64.deb poker hand evaluator library development files
libpoker-eval_138.0-1_amd64.deb poker hand evaluator library
libpolarssl-dev_1.3.9-2.1+deb8u3_amd64.deb lightweight crypto and SSL/TLS library
libpolarssl-runtime_1.3.9-2.1+deb8u3_amd64.deb lightweight crypto and SSL/TLS library
libpolarssl7_1.3.9-2.1+deb8u3_amd64.deb lightweight crypto and SSL/TLS library
libpoldiff-dev_3.3.8-3.1_amd64.deb Security Enhanced Linux semantic policy differences development
libpoldiff1_3.3.8-3.1_amd64.deb Security Enhanced Linux semantic policy differences library
Advertisement
Advertisement